---
title: llarp::vpn::Win32Interface::asio_evt_pkt

---

# llarp::vpn::Win32Interface::asio_evt_pkt





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[asio_evt_pkt](Classes/structllarp_1_1vpn_1_1Win32Interface_1_1asio__evt__pkt.md#function-asio-evt-pkt)**(bool _read) |
| void | **[Read](Classes/structllarp_1_1vpn_1_1Win32Interface_1_1asio__evt__pkt.md#function-read)**(HANDLE dev) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| OVERLAPPED | **[hdr](Classes/structllarp_1_1vpn_1_1Win32Interface_1_1asio__evt__pkt.md#variable-hdr)**  |
| bool | **[read](Classes/structllarp_1_1vpn_1_1Win32Interface_1_1asio__evt__pkt.md#variable-read)**  |
| [net::IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) | **[pkt](Classes/structllarp_1_1vpn_1_1Win32Interface_1_1asio__evt__pkt.md#variable-pkt)**  |

## Public Functions Documentation

### function asio_evt_pkt

```cpp
inline explicit asio_evt_pkt(
    bool _read
)
```


### function Read

```cpp
inline void Read(
    HANDLE dev
)
```


## Public Attributes Documentation

### variable hdr

```cpp
OVERLAPPED hdr = {0, 0, 0, 0, nullptr};
```


### variable read

```cpp
bool read;
```


### variable pkt

```cpp
net::IPPacket pkt;
```


-------------------------------

Updated on 2022-08-30 at 18:09:28 +0000